# Generated by Django 4.0 on 2021-12-27 18:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('theater', '0002_row_order_in_section_seat_order_in_row_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fullname', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('theater', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='theater_events', to='theater.theater')),
            ],
        ),
        migrations.CreateModel(
            name='BookedEvent',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('booking_time', models.DateTimeField(auto_created=True)),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='booked', to='shop.event')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='user_booked_events', to='shop.user')),
            ],
        ),
    ]
